Skip to main content
PUT
/
commerce
/
admin
/
locations
/
{locationCode}
/
attributes
/
{fullyQualifiedName}
Error
A valid request URL is required to generate request examples
{
  "attributeDefinitionId": 123,
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "fullyQualifiedName": "<string>",
  "values": [
    "<unknown>"
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

locationCode
string
required

The unique code for a location

fullyQualifiedName
string
required

The fully qualified name of the attribute to update

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

The location attribute update

auditInfo
object
values
any[] | null

Response

Success

attributeDefinition
object
attributeDefinitionId
integer<int32> | null
auditInfo
object
fullyQualifiedName
string | null
values
any[] | null